import{s as Ft,n as Dt,o as Et}from"../chunks/scheduler.7bc62968.js";import{S as It,i as Nt,g as s,s as o,r,A as Ot,h as a,f as i,c as n,j as Yt,u as m,x as c,k as qt,y as Rt,a as l,v as p,d as g,t as u,w as f}from"../chunks/index.66556066.js";import{H as d}from"../chunks/Heading.3f0870db.js";function Bt(it){let h,re,ae,me,v,pe,$,lt="Use Collections to group repositories from the Hub (Models, Datasets, Spaces and Papers) on a dedicated page.",ge,y,ot='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-intro.webp" alt="Collection page"/>',ue,C,nt="Collections have many use cases:",fe,w,st="<li>Highlight specific repositories on your personal or organizational profile.</li> <li>Separate key repositories from others for your profile visitors.</li> <li>Showcase and share a complete project with its paper(s), dataset(s), model(s) and Space(s).</li> <li>Bookmark things you find on the Hub in categories.</li> <li>Have a dedicated page of curated things to share with others.</li>",de,x,at="This is just a list of possible uses, but remember that collections are just a way of grouping things, so use them in the way that best fits your use case.",he,b,ve,T,ct="There are several ways to create a collection:",$e,_,rt="<li>For personal collections: Use the <strong>+ New</strong> button on your logged-in homepage (1).</li> <li>For organization collections: Use the <strong>+ New</strong> button available on organizations page (2).</li>",ye,H,mt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-new.webp" alt="New collection"/>',Ce,L,pt=`It’s also possible to create a collection on the fly when adding the first item from a repository page, select <strong>+ Create new collection</strong> from the dropdown menu.
You’ll need to enter a title and short description for your collection to be created.`,we,M,xe,P,gt="There are 2 ways to add items to a collection:",be,k,ut="<li>From any repository page: Use the context menu available on any repository page then select <strong>Add to collection</strong> to add it to a collection (1).</li> <li>From the collection page: If you know the name of the repository you want to add, use the <strong>+ add to collection</strong> option in the right-hand menu (2).</li>",Te,z,ft='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-add.webp" alt="Add items to collections"/>',_e,j,dt="It’s possible to add external repositories to your collections, not just your own.",He,A,Le,U,ht=`Organization collections are a great way to build collections together. Any member of the organization can add, edit and remove items from the collection.
Use the <strong>history feature</strong> to keep track of who has edited the collection.`,Me,S,vt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-history.webp" alt="Collection history"/>',Pe,Y,ke,q,ze,F,$t='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-profile.webp" alt="Collections on profiles"/>',je,D,yt="<strong>Public</strong> collections appear at the top of your profile or organization page and can be viewed by anyone. The first 3 items in each collection are visible directly in the collection preview (1). To see more, the user must click to go to the collection page.",Ae,E,Ct="Set your collection to <strong>private</strong> if you don’t want it to be accessible via its URL (it will not be displayed on your profile/organization page). For organizations, private collections are only available to members of the organization.",Ue,I,Se,N,wt="You can use the drag and drop handles in the collections list (on the left side of your collections page) to change the order of your collections (1). The first two collections will be directly visible on your profile/organization pages.",Ye,O,xt="You can also sort repositories within a collection by dragging the handles next to each item (2).",qe,R,bt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-sort.webp" alt="Collections sort"/>',Fe,B,De,W,Tt=`To delete an item from a collection, click the trash icon in the menu that shows up on the right when you hover over an item (1).
To delete the whole collection, click delete on the right-hand menu (2) - you’ll need to confirm this action.`,Ee,G,_t='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-delete.webp" alt="Collection delete"/>',Ie,J,Ne,K,Ht="It’s possible to add a note to any item in a collection to give it more context (for others, or as a reminder to yourself). You can add notes by clicking the pencil icon when you hover over an item with your mouse. Notes are plain text and don’t support markdown, to keep things clean and simple. URLs in notes are converted into clickable links.",Oe,Q,Lt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collection-note.webp" alt="Collection note"/>',Re,V,Be,X,Mt="Similarily, you can attach images to a collection item. This is useful for showcasing the output of a model, the content of a dataset, attaching an infographic for context, etc.",We,Z,Pt="To start adding images to your collection, you can click on the image icon in the contextual menu of an item. The menu shows up when you hover over an item with your mouse.",Ge,ee,kt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collections-image-button.webp" alt="Collection image icon"/>',Je,te,zt="Then, add images by dragging and dropping images from your computer. You can also click on the gray zone to select image files from your computer’s file system.",Ke,ie,jt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collections-image-gallery.webp" alt="Collection image drop zone with images"/>',Qe,le,At="You can re-order images by drag-and-dropping them. Clicking on an image will open it in full-screen mode.",Ve,oe,Ut='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/collections/collections-image-viewer.webp" alt="Collection image viewer"/>',Xe,ne,Ze,se,St='We’re working on improving collections, so if you have any bugs, questions, or new features you’d like to see added, please post a message in the <a href="https://huggingface.co/spaces/huggingface/HuggingDiscussions/discussions/12" rel="nofollow">dedicated discussion</a>.',et,ce,tt;return v=new d({props:{title:"Collections",local:"collections",headingTag:"h1"}}),b=new d({props:{title:"Creating a new collection",local:"creating-a-new-collection",headingTag:"h2"}}),M=new d({props:{title:"Adding items to a collection",local:"adding-items-to-a-collection",headingTag:"h2"}}),A=new d({props:{title:"Collaborating on collections",local:"collaborating-on-collections",headingTag:"h2"}}),Y=new d({props:{title:"Collection options",local:"collection-options",headingTag:"h2"}}),q=new d({props:{title:"Collection visibility",local:"collection-visibility",headingTag:"h3"}}),I=new d({props:{title:"Ordering your collections and their items",local:"ordering-your-collections-and-their-items",headingTag:"h3"}}),B=new d({props:{title:"Deleting items from a collection",local:"deleting-items-from-a-collection",headingTag:"h3"}}),J=new d({props:{title:"Adding notes to collection’s items",local:"adding-notes-to-collections-items",headingTag:"h3"}}),V=new d({props:{title:"Adding images to a collection item",local:"adding-images-to-a-collection-item",headingTag:"h3"}}),ne=new d({props:{title:"Your feedback on collections",local:"your-feedback-on-collections",headingTag:"h2"}}),{c(){h=s("meta"),re=o(),ae=s("p"),me=o(),r(v.$$.fragment),pe=o(),$=s("p"),$.textContent=lt,ge=o(),y=s("p"),y.innerHTML=ot,ue=o(),C=s("p"),C.textContent=nt,fe=o(),w=s("ul"),w.innerHTML=st,de=o(),x=s("p"),x.textContent=at,he=o(),r(b.$$.fragment),ve=o(),T=s("p"),T.textContent=ct,$e=o(),_=s("ul"),_.innerHTML=rt,ye=o(),H=s("p"),H.innerHTML=mt,Ce=o(),L=s("p"),L.innerHTML=pt,we=o(),r(M.$$.fragment),xe=o(),P=s("p"),P.textContent=gt,be=o(),k=s("ul"),k.innerHTML=ut,Te=o(),z=s("p"),z.innerHTML=ft,_e=o(),j=s("p"),j.textContent=dt,He=o(),r(A.$$.fragment),Le=o(),U=s("p"),U.innerHTML=ht,Me=o(),S=s("p"),S.innerHTML=vt,Pe=o(),r(Y.$$.fragment),ke=o(),r(q.$$.fragment),ze=o(),F=s("p"),F.innerHTML=$t,je=o(),D=s("p"),D.innerHTML=yt,Ae=o(),E=s("p"),E.innerHTML=Ct,Ue=o(),r(I.$$.fragment),Se=o(),N=s("p"),N.textContent=wt,Ye=o(),O=s("p"),O.textContent=xt,qe=o(),R=s("p"),R.innerHTML=bt,Fe=o(),r(B.$$.fragment),De=o(),W=s("p"),W.textContent=Tt,Ee=o(),G=s("p"),G.innerHTML=_t,Ie=o(),r(J.$$.fragment),Ne=o(),K=s("p"),K.textContent=Ht,Oe=o(),Q=s("p"),Q.innerHTML=Lt,Re=o(),r(V.$$.fragment),Be=o(),X=s("p"),X.textContent=Mt,We=o(),Z=s("p"),Z.textContent=Pt,Ge=o(),ee=s("p"),ee.innerHTML=kt,Je=o(),te=s("p"),te.textContent=zt,Ke=o(),ie=s("p"),ie.innerHTML=jt,Qe=o(),le=s("p"),le.textContent=At,Ve=o(),oe=s("p"),oe.innerHTML=Ut,Xe=o(),r(ne.$$.fragment),Ze=o(),se=s("p"),se.innerHTML=St,et=o(),ce=s("p"),this.h()},l(e){const t=Ot("svelte-u9bgzb",document.head);h=a(t,"META",{name:!0,content:!0}),t.forEach(i),re=n(e),ae=a(e,"P",{}),Yt(ae).forEach(i),me=n(e),m(v.$$.fragment,e),pe=n(e),$=a(e,"P",{"data-svelte-h":!0}),c($)!=="svelte-r7uovh"&&($.textContent=lt),ge=n(e),y=a(e,"P",{"data-svelte-h":!0}),c(y)!=="svelte-20r14o"&&(y.innerHTML=ot),ue=n(e),C=a(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-17ohp9k"&&(C.textContent=nt),fe=n(e),w=a(e,"UL",{"data-svelte-h":!0}),c(w)!=="svelte-1m3icx3"&&(w.innerHTML=st),de=n(e),x=a(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-mfz3b5"&&(x.textContent=at),he=n(e),m(b.$$.fragment,e),ve=n(e),T=a(e,"P",{"data-svelte-h":!0}),c(T)!=="svelte-1oozj2u"&&(T.textContent=ct),$e=n(e),_=a(e,"UL",{"data-svelte-h":!0}),c(_)!=="svelte-133cylx"&&(_.innerHTML=rt),ye=n(e),H=a(e,"P",{"data-svelte-h":!0}),c(H)!=="svelte-1sje52l"&&(H.innerHTML=mt),Ce=n(e),L=a(e,"P",{"data-svelte-h":!0}),c(L)!=="svelte-1zyf1d"&&(L.innerHTML=pt),we=n(e),m(M.$$.fragment,e),xe=n(e),P=a(e,"P",{"data-svelte-h":!0}),c(P)!=="svelte-smb8vg"&&(P.textContent=gt),be=n(e),k=a(e,"UL",{"data-svelte-h":!0}),c(k)!=="svelte-yg522k"&&(k.innerHTML=ut),Te=n(e),z=a(e,"P",{"data-svelte-h":!0}),c(z)!=="svelte-a7at1z"&&(z.innerHTML=ft),_e=n(e),j=a(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-hsxlps"&&(j.textContent=dt),He=n(e),m(A.$$.fragment,e),Le=n(e),U=a(e,"P",{"data-svelte-h":!0}),c(U)!=="svelte-es4cpu"&&(U.innerHTML=ht),Me=n(e),S=a(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-178iy0t"&&(S.innerHTML=vt),Pe=n(e),m(Y.$$.fragment,e),ke=n(e),m(q.$$.fragment,e),ze=n(e),F=a(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-etes8a"&&(F.innerHTML=$t),je=n(e),D=a(e,"P",{"data-svelte-h":!0}),c(D)!=="svelte-qvo4tg"&&(D.innerHTML=yt),Ae=n(e),E=a(e,"P",{"data-svelte-h":!0}),c(E)!=="svelte-w699l8"&&(E.innerHTML=Ct),Ue=n(e),m(I.$$.fragment,e),Se=n(e),N=a(e,"P",{"data-svelte-h":!0}),c(N)!=="svelte-6sotn9"&&(N.textContent=wt),Ye=n(e),O=a(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-tgi3pp"&&(O.textContent=xt),qe=n(e),R=a(e,"P",{"data-svelte-h":!0}),c(R)!=="svelte-el0mry"&&(R.innerHTML=bt),Fe=n(e),m(B.$$.fragment,e),De=n(e),W=a(e,"P",{"data-svelte-h":!0}),c(W)!=="svelte-13jir5e"&&(W.textContent=Tt),Ee=n(e),G=a(e,"P",{"data-svelte-h":!0}),c(G)!=="svelte-1xbbm8v"&&(G.innerHTML=_t),Ie=n(e),m(J.$$.fragment,e),Ne=n(e),K=a(e,"P",{"data-svelte-h":!0}),c(K)!=="svelte-1j9wdmw"&&(K.textContent=Ht),Oe=n(e),Q=a(e,"P",{"data-svelte-h":!0}),c(Q)!=="svelte-1jmjt1x"&&(Q.innerHTML=Lt),Re=n(e),m(V.$$.fragment,e),Be=n(e),X=a(e,"P",{"data-svelte-h":!0}),c(X)!=="svelte-1asheis"&&(X.textContent=Mt),We=n(e),Z=a(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-15scb4a"&&(Z.textContent=Pt),Ge=n(e),ee=a(e,"P",{"data-svelte-h":!0}),c(ee)!=="svelte-1f4hqpc"&&(ee.innerHTML=kt),Je=n(e),te=a(e,"P",{"data-svelte-h":!0}),c(te)!=="svelte-4zn3t9"&&(te.textContent=zt),Ke=n(e),ie=a(e,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-w82316"&&(ie.innerHTML=jt),Qe=n(e),le=a(e,"P",{"data-svelte-h":!0}),c(le)!=="svelte-1ypkoru"&&(le.textContent=At),Ve=n(e),oe=a(e,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-gqurzt"&&(oe.innerHTML=Ut),Xe=n(e),m(ne.$$.fragment,e),Ze=n(e),se=a(e,"P",{"data-svelte-h":!0}),c(se)!=="svelte-1bt97t2"&&(se.innerHTML=St),et=n(e),ce=a(e,"P",{}),Yt(ce).forEach(i),this.h()},h(){qt(h,"name","hf:doc:metadata"),qt(h,"content",Wt)},m(e,t){Rt(document.head,h),l(e,re,t),l(e,ae,t),l(e,me,t),p(v,e,t),l(e,pe,t),l(e,$,t),l(e,ge,t),l(e,y,t),l(e,ue,t),l(e,C,t),l(e,fe,t),l(e,w,t),l(e,de,t),l(e,x,t),l(e,he,t),p(b,e,t),l(e,ve,t),l(e,T,t),l(e,$e,t),l(e,_,t),l(e,ye,t),l(e,H,t),l(e,Ce,t),l(e,L,t),l(e,we,t),p(M,e,t),l(e,xe,t),l(e,P,t),l(e,be,t),l(e,k,t),l(e,Te,t),l(e,z,t),l(e,_e,t),l(e,j,t),l(e,He,t),p(A,e,t),l(e,Le,t),l(e,U,t),l(e,Me,t),l(e,S,t),l(e,Pe,t),p(Y,e,t),l(e,ke,t),p(q,e,t),l(e,ze,t),l(e,F,t),l(e,je,t),l(e,D,t),l(e,Ae,t),l(e,E,t),l(e,Ue,t),p(I,e,t),l(e,Se,t),l(e,N,t),l(e,Ye,t),l(e,O,t),l(e,qe,t),l(e,R,t),l(e,Fe,t),p(B,e,t),l(e,De,t),l(e,W,t),l(e,Ee,t),l(e,G,t),l(e,Ie,t),p(J,e,t),l(e,Ne,t),l(e,K,t),l(e,Oe,t),l(e,Q,t),l(e,Re,t),p(V,e,t),l(e,Be,t),l(e,X,t),l(e,We,t),l(e,Z,t),l(e,Ge,t),l(e,ee,t),l(e,Je,t),l(e,te,t),l(e,Ke,t),l(e,ie,t),l(e,Qe,t),l(e,le,t),l(e,Ve,t),l(e,oe,t),l(e,Xe,t),p(ne,e,t),l(e,Ze,t),l(e,se,t),l(e,et,t),l(e,ce,t),tt=!0},p:Dt,i(e){tt||(g(v.$$.fragment,e),g(b.$$.fragment,e),g(M.$$.fragment,e),g(A.$$.fragment,e),g(Y.$$.fragment,e),g(q.$$.fragment,e),g(I.$$.fragment,e),g(B.$$.fragment,e),g(J.$$.fragment,e),g(V.$$.fragment,e),g(ne.$$.fragment,e),tt=!0)},o(e){u(v.$$.fragment,e),u(b.$$.fragment,e),u(M.$$.fragment,e),u(A.$$.fragment,e),u(Y.$$.fragment,e),u(q.$$.fragment,e),u(I.$$.fragment,e),u(B.$$.fragment,e),u(J.$$.fragment,e),u(V.$$.fragment,e),u(ne.$$.fragment,e),tt=!1},d(e){e&&(i(re),i(ae),i(me),i(pe),i($),i(ge),i(y),i(ue),i(C),i(fe),i(w),i(de),i(x),i(he),i(ve),i(T),i($e),i(_),i(ye),i(H),i(Ce),i(L),i(we),i(xe),i(P),i(be),i(k),i(Te),i(z),i(_e),i(j),i(He),i(Le),i(U),i(Me),i(S),i(Pe),i(ke),i(ze),i(F),i(je),i(D),i(Ae),i(E),i(Ue),i(Se),i(N),i(Ye),i(O),i(qe),i(R),i(Fe),i(De),i(W),i(Ee),i(G),i(Ie),i(Ne),i(K),i(Oe),i(Q),i(Re),i(Be),i(X),i(We),i(Z),i(Ge),i(ee),i(Je),i(te),i(Ke),i(ie),i(Qe),i(le),i(Ve),i(oe),i(Xe),i(Ze),i(se),i(et),i(ce)),i(h),f(v,e),f(b,e),f(M,e),f(A,e),f(Y,e),f(q,e),f(I,e),f(B,e),f(J,e),f(V,e),f(ne,e)}}}const Wt='{"title":"Collections","local":"collections","sections":[{"title":"Creating a new collection","local":"creating-a-new-collection","sections":[],"depth":2},{"title":"Adding items to a collection","local":"adding-items-to-a-collection","sections":[],"depth":2},{"title":"Collaborating on collections","local":"collaborating-on-collections","sections":[],"depth":2},{"title":"Collection options","local":"collection-options","sections":[{"title":"Collection visibility","local":"collection-visibility","sections":[],"depth":3},{"title":"Ordering your collections and their items","local":"ordering-your-collections-and-their-items","sections":[],"depth":3},{"title":"Deleting items from a collection","local":"deleting-items-from-a-collection","sections":[],"depth":3},{"title":"Adding notes to collection’s items","local":"adding-notes-to-collections-items","sections":[],"depth":3},{"title":"Adding images to a collection item","local":"adding-images-to-a-collection-item","sections":[],"depth":3}],"depth":2},{"title":"Your feedback on collections","local":"your-feedback-on-collections","sections":[],"depth":2}],"depth":1}';function Gt(it){return Et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Vt extends It{constructor(h){super(),Nt(this,h,Gt,Bt,Ft,{})}}export{Vt as component};
